View Issue Details

IDProjectCategoryView StatusLast Update
0038184FPCDocumentationpublic2021-04-12 17:12
Reporterserbod Assigned ToMarco van de Voort  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.2.1 
Summary0038184: User guide (user.chm) has non-ASCII characters missed
DescriptionUser guide (user.chm)
Contents page


<meta content="text/html; charset=iso8859-1" http-equiv="Content-Type">

<div class="author"><span class="cmss-12">Micha</span><span class="cmss-12">?l Van Canneyt</span><br class="newline"><span class="cmss-12">Florian Kl</span><span class="cmss-12">?mpfl</span></div> <br class="newline">____________________________________________________________________________
Additional Information latex->html conversion ?
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget-
Attached Files

Activities

Michael Van Canneyt

2020-12-08 10:43

administrator   ~0127449

Seems like an artefact of the html -> chm conversion: the html version is correct, but uses codepage iso-8859-1.
I suspect the reading of the html messes this up.

Marco van de Voort

2020-12-08 21:07

manager   ~0127465

Last edited: 2021-03-28 13:26

View 2 revisions

Yes and no, there are multiple programs involved. First one (relinkdocs) tries to rewrite html as much as possible (and this one is the problem), and convert it to 8859-1, and the second one, compilelatexchm.pp does the actual archiving. These are originally 2.1.1/2.3.1 era. I'll have to look what is still needed.

CHM toc,index and seach can't handle utf8, topic text can. Back then it seemed smart to convert it all to 8859-1.

Marco van de Voort

2021-04-12 17:12

manager   ~0130315

Fixed in fpcdocs svn somewhere in february, visible in current beta docs (which are generated on Linux)

Issue History

Date Modified Username Field Change
2020-12-08 10:06 serbod New Issue
2020-12-08 10:06 serbod Status new => assigned
2020-12-08 10:06 serbod Assigned To => Michael Van Canneyt
2020-12-08 10:43 Michael Van Canneyt Note Added: 0127449
2020-12-08 10:43 Michael Van Canneyt Assigned To Michael Van Canneyt => Marco van de Voort
2020-12-08 21:07 Marco van de Voort Note Added: 0127465
2021-03-28 13:26 Marco van de Voort Note Edited: 0127465 View Revisions
2021-04-12 17:12 Marco van de Voort Status assigned => resolved
2021-04-12 17:12 Marco van de Voort Resolution open => fixed
2021-04-12 17:12 Marco van de Voort FPCTarget => -
2021-04-12 17:12 Marco van de Voort Note Added: 0130315